%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}

%define version 0.8.8
#%define rel 1
%define         _glib2          2.2
%define major 0.8
%define majorminor 0.8
%define bname gstreamer
%define name %bname-plugins
%define libgstgconf %mklibname gstgconf %major
%define libname %mklibname gstreamer-plugins %major
%define gstregister %{_bindir}/gst-register-%majorminor

%define build_dxr3 1
%define build_dts 0
%define build_dirac 0
%define build_windec 0
%define build_lame 0
%define build_libfame 0
%define build_faac 0
%define build_faad 0
%define build_musepack 0
%define build_xvid 0
%define build_qcam 0
%define build_jpegmmx 1
%define build_caca 1
%define build_speex 1
%define build_v4l2 1

%ifarch %ix86
%define build_qcam 1
%endif

%if %build_plf
%define release %{rel}plf
%define build_dts 1
%define build_lame 1
%define build_libfame 1
%define build_faac 1
%define build_faad 1
%define build_musepack 1
%define build_xvid 1
%else
%define	release	%mkrel 1
%endif

Summary: 	GStreamer Streaming-media framework plug-ins
Name: 		%name
Version: 	%version
Release: 	%release
License: 	LGPL
Group: 		Sound
Source: 	http://gstreamer.freedesktop.org/src/gst-plugins/gst-plugins-%{version}.tar.bz2
Patch1:		gst-plugins-0.8.4-lib64.patch.bz2
Patch4:		gstreamer-plugins-0.4.2-ppc.patch.bz2
URL:            http://gstreamer.freedesktop.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root 
Provides:	%bname-plugin-libs
Obsoletes:	%bname-plugin-libs
PreReq: gstreamer08-tools >= %{version}
#gw for the pixbuf plugin
BuildRequires:  gtk+2-devel
BuildRequires:  glib2-devel >= %_glib2 
BuildRequires: libpng-devel >= 1.2.4-4mdk
BuildRequires: liboil-devel >= 0.2
%ifarch %ix86
BuildRequires: nasm => 0.90
%endif
%if %build_caca
BuildRequires: libcaca-devel
%endif
BuildRequires: libgstreamer-devel >= %{version} 
#BuildRequires: autoconf2.5 >= 2.58
BuildRequires: MesaGLU-devel
Provides:	%bname-v4l
Obsoletes:	%bname-v4l
Obsoletes:	%bname-deinterlace
Provides:	%bname-deinterlace
Provides:	%bname-misc
Obsoletes:	%bname-misc
Provides:	%bname-video-effects
Obsoletes:	%bname-video-effects
Provides:	%bname-rtp
Obsoletes:	%bname-rtp
Provides:	%bname-audio-effects
Obsoletes:	%bname-audio-effects
Provides:	%bname-flx
Obsoletes:	%bname-flx
Provides:	%bname-udp
Obsoletes:	%bname-udp
Provides:	%bname-vcd
Obsoletes:	%bname-vcd
Obsoletes:	%bname-yuv4mjpeg
Provides:	%bname-yuv4mjpeg
Obsoletes:	%bname-cdplayer
Provides:	%bname-cdplayer
Provides:	%bname-videotest
Obsoletes:	%bname-videotest
Provides:	%bname-snapshot
Obsoletes:	%bname-snapshot
Provides:	%bname-libpng
Obsoletes:	%bname-libpng
Provides:	%bname-oss
Obsoletes:	%bname-oss
Provides:	%bname-audiosrc
Provides:	%bname-audiosink
%if ! %build_speex
Obsoletes: %bname-speex
%endif
%if ! %build_v4l2
Obsoletes: %bname-v4l2
%endif

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

%prep
%setup -q -n gst-plugins-%{version}
%patch4 -p1 -b .ppc
autoconf

%build
%configure2_5x --disable-dependency-tracking \
  --enable-DEBUG --enable-debug \
%if ! %build_dxr3
	--disable-dxr3 \
%endif
%if ! %build_lame
	--disable-lame \
%endif
%if ! %build_libfame
	--disable-libfame \
%endif
%if ! %build_qcam
	--disable-qcam \
%endif
%if ! %build_jpegmmx
	--disable-mpeg2enc \
%endif
%if ! %build_xvid
	--disable-xvid \
%endif
%if ! %build_faac
	--disable-faac \
%endif
%if ! %build_faad
	--disable-faad \
%endif
%if ! %build_v4l2
	--disable-v4l2 \
%endif
%if ! %build_dirac
	--disable-dirac \
%endif


make ARTS_CXXFLAGS='-I%_includedir/artsc -I%_includedir/arts -I%_includedir/glib-2.0 -I%_libdir/glib-2.0/include'

%install
rm -rf %buildroot
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang gst-plugins-%majorminor
# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
#rm -f $RPM_BUILD_ROOT%{_includedir}/gstreamer-%{majorminor}/gst/media-info/media-info.h
#rm -f $RPM_BUILD_ROOT%{_libdir}/libgstmedia-info*.so*
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.2.0/loaders/gst_loader.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gstregister > /dev/null 2> /dev/null

%postun
%gstregister > /dev/null 2> /dev/null



%files -f gst-plugins-%majorminor.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS
%{_bindir}/gst-launch-ext-%majorminor
%{_bindir}/gst-visualise-%majorminor
%{_mandir}/man1/gst-launch-ext-%majorminor.1*
%{_mandir}/man1/gst-visualise-%majorminor.1*
%{_libdir}/gstreamer-%{majorminor}/libgstaudioscale.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstffmpegcolorspace.so
%{_libdir}/gstreamer-%{majorminor}/libgstidct.so
%{_libdir}/gstreamer-%{majorminor}/libgstresample.so
%{_libdir}/gstreamer-%{majorminor}/libgstriff.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideo.so
# non-core plugins without external dependencies
%{_libdir}/gstreamer-%{majorminor}/libgstalpha.so
%{_libdir}/gstreamer-%{majorminor}/libgstalphacolor.so
%{_libdir}/gstreamer-%{majorminor}/libgstapetag.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudioconvert.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiofilter.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiorate.so
%{_libdir}/gstreamer-%{majorminor}/libgstdebug.so
%{_libdir}/gstreamer-%{majorminor}/libgstdecodebin.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdlpcmdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstefence.so
%{_libdir}/gstreamer-%{majorminor}/libgstequalizer.so
%{_libdir}/gstreamer-%{majorminor}/libgstinterleave.so
%{_libdir}/gstreamer-%{majorminor}/libgstgamma.so
%{_libdir}/gstreamer-%{majorminor}/libgstmatroska.so
%{_libdir}/gstreamer-%{majorminor}/libgstmixmatrix.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultifilesink.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultipart.so
%{_libdir}/gstreamer-%{majorminor}/libgsteffectv.so
%{_libdir}/gstreamer-%{majorminor}/libgstdeinterlace.so
%{_libdir}/gstreamer-%{majorminor}/libgstmedian.so
%{_libdir}/gstreamer-%{majorminor}/libgstplaybin.so
%{_libdir}/gstreamer-%{majorminor}/libgstpuzzle.so
%{_libdir}/gstreamer-%{majorminor}/libgstrfbsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtjpeg.so
%{_libdir}/gstreamer-%{majorminor}/libgstsubparse.so
%{_libdir}/gstreamer-%{majorminor}/libgsttagedit.so
%{_libdir}/gstreamer-%{majorminor}/libgstvbidec.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideobox.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideocrop.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideomixer.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideorate.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideoscale.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmpte.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtp.so
%{_libdir}/gstreamer-%{majorminor}/libgstsinesrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstsilence.so
%{_libdir}/gstreamer-%{majorminor}/libgststereo.so
%{_libdir}/gstreamer-%{majorminor}/libgstvolume.so
%{_libdir}/gstreamer-%{majorminor}/libgstvolenv.so
%{_libdir}/gstreamer-%{majorminor}/libgstplayondemand.so
%{_libdir}/gstreamer-%{majorminor}/libgstspeed.so
%{_libdir}/gstreamer-%{majorminor}/libgstadder.so
%{_libdir}/gstreamer-%{majorminor}/libgstalaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstlevel.so
%{_libdir}/gstreamer-%{majorminor}/libgstmulaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstpassthrough.so
%{_libdir}/gstreamer-%{majorminor}/libgstcutter.so
%{_libdir}/gstreamer-%{majorminor}/libgstfilter.so
%{_libdir}/gstreamer-%{majorminor}/libgstflxdec.so
%{_libdir}/gstreamer-%{majorminor}/libgsttcp.so
%{_libdir}/gstreamer-%{majorminor}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{majorminor}/libgstoverlay.so
%{_libdir}/gstreamer-%{majorminor}/libgstrmdemux.so
%{_libdir}/gstreamer-%{majorminor}/libgsttta.so
%{_libdir}/gstreamer-%{majorminor}/libgsttypefindfunctions.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideobalance.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideodrop.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideofilter.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideoflip.so
%{_libdir}/gstreamer-%{majorminor}/libgstudp.so
%{_libdir}/gstreamer-%{majorminor}/libgstvcdsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdxaparse.so
%{_libdir}/gstreamer-%{majorminor}/libgsty4menc.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdplayer.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideotestsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstossaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstswitch.so
%if %build_caca
%{_libdir}/gstreamer-%{majorminor}/libgstcacasink.so
%endif
# libpng dependant
%{_libdir}/gstreamer-%{majorminor}/libgstsnapshot.so
%{_libdir}/gstreamer-%{majorminor}/libgstpng.so

%package -n %bname-x11
Group: 		System/Libraries
Summary: 	GStreamer X11 support plugins
PreReq: gstreamer08-tools >= %{version}
Requires:	%bname-plugins
Provides:	%bname-xvideosink
Obsoletes:	%bname-xvideosink

%description -n %bname-x11
This package contain the X11 support plugins for GStreamer. It
includes window, XV and text overlay support.

%files -n %bname-x11
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgsttextoverlay.so
%{_libdir}/gstreamer-%{majorminor}/libgsttimeoverlay.so
%{_libdir}/gstreamer-%{majorminor}/libgstximagesink.so
%{_libdir}/gstreamer-%{majorminor}/libgstxvimagesink.so
%{_libdir}/gstreamer-%{majorminor}/libgstxwindowlistener.so*

%post -n %bname-x11
%gstregister > /dev/null 2> /dev/null

%postun -n %bname-x11
%gstregister > /dev/null 2> /dev/null


%package -n %bname-gdkpixbuf
Group: 		System/Libraries
Summary: 	GStreamer gdk-pixbuf libraries
PreReq: gstreamer08-tools >= %{version}
Requires:	%bname-avi
Requires:	%bname-mpeg

%description -n %bname-gdkpixbuf
This package contain the gdk-pixbuf loader for gstreamer.

%files -n %bname-gdkpixbuf
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstgdkpixbuf.so
#%_libdir/gtk-2.0/2.2.0/loaders/gst_loader.so

%post -n %bname-gdkpixbuf
%gstregister > /dev/null 2> /dev/null
#%{_bindir}/gdk-pixbuf-query-loaders >  %_sysconfdir/gtk-2.0/gdk-pixbuf.loaders

%postun -n %bname-gdkpixbuf
%gstregister > /dev/null 2> /dev/null
#%{_bindir}/gdk-pixbuf-query-loaders >  %_sysconfdir/gtk-2.0/gdk-pixbuf.loaders




%package -n %libname
Group: 		System/Libraries
Summary: 	GStreamer plugin libraries

%description -n %libname
This package contain the basic audio and video playback library and
the interfaces library.

%files -n %libname
%defattr(-, root, root)
%{_libdir}/libgstplay-%{majorminor}.so.*
%_libdir/libgstinterfaces-%majorminor.so.*
%_libdir/libgstmedia-info-%majorminor.so.*

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%package -n %libname-devel
Summary: 	GStreamer Plugin Library Headers
Group: 		Development/C
Requires: 	%{libname} = %{version}-%release
Requires:	%libname = %version-%release
Requires:	%libgstgconf = %version-%release
Requires:	libgstreamer-devel >= %version 
Provides:	%bname-play-devel = %{version}-%release
Provides:	%bname-gconv-devel = %{version}-%release
Provides:	gstreamer-plugins-devel = %version-%release
Provides:	%bname-devel = %version-%release
Provides:	libgstreamer-plugins-devel = %version-%release
Provides:	libgstreamer-plugins%majorminor-devel = %version-%release
Provides:	libgstreamer%majorminor-plugins-devel = %version-%release

%description -n %libname-devel
GStreamer support libraries header files.

%files -n %libname-devel
%defattr(-, root, root)
%dir %{_includedir}/gstreamer-%{majorminor}/gst/audio/
%{_includedir}/gstreamer-%{majorminor}/gst/audio/audioclock.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/gstaudiofilter.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/multichannel*
%dir %{_includedir}/gstreamer-%{majorminor}/gst/colorbalance/
%{_includedir}/gstreamer-%{majorminor}/gst/colorbalance/colorbalance.h
%{_includedir}/gstreamer-%{majorminor}/gst/colorbalance/colorbalancechannel.h
%{_includedir}/gstreamer-%{majorminor}/gst/colorbalance/colorbalance-enumtypes.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/media-info/
%{_includedir}/gstreamer-%{majorminor}/gst/media-info/media-info.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/mixer/
%{_includedir}/gstreamer-%{majorminor}/gst/mixer/mixer.h
%{_includedir}/gstreamer-%{majorminor}/gst/mixer/mixeroptions.h
%{_includedir}/gstreamer-%{majorminor}/gst/mixer/mixer-enumtypes.h
%{_includedir}/gstreamer-%{majorminor}/gst/mixer/mixertrack.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/navigation/
%{_includedir}/gstreamer-%{majorminor}/gst/navigation/navigation.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/play
%{_includedir}/gstreamer-%{majorminor}/gst/play/play.h
%{_includedir}/gstreamer-%{majorminor}/gst/play/play-enumtypes.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/propertyprobe/
%{_includedir}/gstreamer-%{majorminor}/gst/propertyprobe/propertyprobe.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/riff/
%{_includedir}/gstreamer-%{majorminor}/gst/riff/riff-ids.h
%{_includedir}/gstreamer-%{majorminor}/gst/riff/riff-media.h
%{_includedir}/gstreamer-%{majorminor}/gst/riff/riff-read.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/tag/
%{_includedir}/gstreamer-%{majorminor}/gst/tag/tag.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/tuner/
%{_includedir}/gstreamer-%{majorminor}/gst/tuner/tuner.h
%{_includedir}/gstreamer-%{majorminor}/gst/tuner/tunerchannel.h
%{_includedir}/gstreamer-%{majorminor}/gst/tuner/tunernorm.h
%{_includedir}/gstreamer-%{majorminor}/gst/tuner/tuner-enumtypes.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/video/
%{_includedir}/gstreamer-%{majorminor}/gst/video/video.h
%{_includedir}/gstreamer-%{majorminor}/gst/video/videosink.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/xoverlay/
%{_includedir}/gstreamer-%{majorminor}/gst/xoverlay/xoverlay.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/xwindowlistener/
%{_includedir}/gstreamer-%{majorminor}/gst/xwindowlistener/xwindowlistener.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/gconf/
%{_includedir}/gstreamer-%{majorminor}/gst/gconf/gconf.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/audio.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/floatcast/
%{_includedir}/gstreamer-%{majorminor}/gst/floatcast/floatcast.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/idct/
%{_includedir}/gstreamer-%{majorminor}/gst/idct/idct.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/resample/
%{_includedir}/gstreamer-%{majorminor}/gst/resample/resample.h
%{_libdir}/pkgconfig/gstreamer-libs-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-media-info-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-play-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-plugins-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-gconf-%{majorminor}.pc
##
%{_libdir}/pkgconfig/gstreamer-interfaces-%majorminor.pc
%{_libdir}/libgstgconf-%{majorminor}.so
%{_libdir}/libgstplay-%{majorminor}.so
%_libdir/libgstmedia-info-%majorminor.so
##
%_libdir/libgstinterfaces-%majorminor.so

# Here are all the packages depending on external libs #
### A52DEC ###
%package -n %bname-a52dec
Summary: GStreamer VOB decoder plugin
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: a52dec-devel >= 0.7.3

%description -n %bname-a52dec
Plugin for decoding of VOB files

%files -n %bname-a52dec
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgsta52dec.so
%{_libdir}/gstreamer-%{majorminor}/libgstac3parse.so

%post -n %bname-a52dec
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-a52dec
%gstregister > /dev/null 2> /dev/null


### AALIB ###
%package -n %bname-aalib
Summary: Gstreamer plugin for Ascii-art output
Group: Video
BuildRequires: aalib-devel >= 1.3
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release

%description -n %bname-aalib
Plugin for viewing movies in Ascii-art using aalib library.

%files -n %bname-aalib
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstaasink.so

%post -n %bname-aalib
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-aalib
%gstregister > /dev/null 2> /dev/null


### ALSA ###
%package -n %bname-alsa
Summary: GStreamer plug-ins for the ALSA sound architecture
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
Provides:	%bname-audiosrc
Provides:	%bname-audiosink


%description -n %bname-alsa
Input and output plugin for the ALSA soundcard driver architecture.

%files -n %bname-alsa
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstalsa.so

%post -n %bname-alsa
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-alsa
%gstregister > /dev/null 2> /dev/null


### ARTS WRAPPER ###
%package -n %bname-arts
Summary:       GStreamer arts wrapper plug-in
Group:         Sound
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libarts-devel

%description -n %bname-arts
This plug-in wraps arts plug-ins.

%files -n %bname-arts
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstarts.so

%post -n %bname-arts
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-arts
%gstregister > /dev/null 2> /dev/null


### ARTSD SOUND SERVER ###
%package -n %bname-artsd
Summary:  GStreamer artsd output plug-in
Group:    Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release

%description -n %bname-artsd
Plug-in for outputting to artsd sound server.

%files -n %bname-artsd
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstartsdsink.so

%post -n %bname-artsd
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-artsd
%gstregister > /dev/null 2> /dev/null

### SWFDEC FLASH PLUGIN ###
%package -n %bname-swfdec
Summary:  GStreamer Flash rendering plug-in
Group:    System/Libraries
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: libswfdec-devel => 0.3.0

%description -n %bname-swfdec
Plug-in for rendering Flash animations using swfdec library

%files -n %bname-swfdec
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstswfdec.so

%post -n %bname-swfdec
%gstregister > /dev/null 2> /dev/null

%postun -n %bname-swfdec
%gstregister > /dev/null 2> /dev/null

%package -n %bname-cairo
Summary:  GStreamer Cairo rendering plug-in
Group:    Graphics
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: libcairo-devel

%description -n %bname-cairo
Plug-in for rendering vector graphics with cairo.

%files -n %bname-cairo
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstcairo.so

%post -n %bname-cairo
%gstregister > /dev/null 2> /dev/null

%postun -n %bname-cairo
%gstregister > /dev/null 2> /dev/null

### AUDIOFILE ###
%package -n %bname-audiofile
Summary: GStreamer plugin audiofile support
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: audiofile-devel >= 0.2.3-4mdk

%description -n %bname-audiofile
Plugin for supporting reading and writing all files audiofile support

%files -n %bname-audiofile
%defattr(-, root, root)
%doc ext/audiofile/README
%{_libdir}/gstreamer-%{majorminor}/libgstaudiofile.so

%post -n %bname-audiofile
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-audiofile
%gstregister > /dev/null 2> /dev/null


%package -n %bname-sndfile
Summary: GStreamer plugin sndfile support
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: libsndfile-devel 

%description -n %bname-sndfile
Plugin for supporting reading and writing audio files with the sndfile library.

%files -n %bname-sndfile
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstsndfile.so

%post -n %bname-sndfile
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-sndfile
%gstregister > /dev/null 2> /dev/null


### AVI ###
%package -n %bname-avi
Summary:       GStreamer plug-in for AVI movie playback
Group:         Video
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}-%release
Requires:      %bname-colorspace = %{version}-%release

%description -n %bname-avi
Plug-ins for playback of AVI format media files.

%files -n %bname-avi
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstavi.so

%post -n %bname-avi
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-avi
%gstregister > /dev/null 2> /dev/null


### AVIFILE ###
%if %build_windec
%package -n %bname-windec
Summary:       GStreamer plug-in for Windows DLL loading
Group:         Video
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}
Requires:      win32-codecs
BuildRequires: libavifile-devel

%description -n %bname-windec
Plug-ins for playback for loading window DLL files. 
Needed for playback of some  AVI format media files.

%files -n %bname-windec
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstwincodec.so

%post -n %bname-windec
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-windec
%gstregister > /dev/null 2> /dev/null
%endif

%package -n %bname-cdaudio
Summary: Gstreamer plugin for CD audio input using libcdaudio
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: libcdaudio-devel

%description -n %bname-cdaudio
Plugin audio CD playback with GStreamer

%files -n %bname-cdaudio
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstcdaudio.so

%post -n %bname-cdaudio
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-cdaudio
%gstregister > /dev/null 2> /dev/null

### CDPARANOIA ###
%package -n %bname-cdparanoia
Summary: Gstreamer plugin for CD audio input using CDParanoia IV
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: libcdda-devel

%description -n %bname-cdparanoia
Plugin for ripping audio tracks using cdparanoia under GStreamer

%files -n %bname-cdparanoia
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstcdparanoia.so

%post -n %bname-cdparanoia
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-cdparanoia
%gstregister > /dev/null 2> /dev/null


### DVDREAD ###
%package -n %bname-libdvdread
Summary: GStreamer plug-ins for DVD playback using libdvdread
Group: Video
Obsoletes:     %bname-libdvd
Provides:      %bname-libdvd
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: libdvdread-devel >= 0.9.4

%description -n %bname-libdvdread
Plug-in for reading DVDs using libdvdread under GStreamer.

%files -n %bname-libdvdread
%defattr(-, root, root)
%doc ext/dvdread/README
%{_libdir}/gstreamer-%{majorminor}/libgstdvdreadsrc.so

%post -n %bname-libdvdread
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-libdvdread
%gstregister > /dev/null 2> /dev/null


### DVDNAV ###
%package -n %bname-libdvdnav
Summary: GStreamer plug-in for DVD navigation support
Group: Video
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
Provides: %bname-dvdnav
Obsoletes: %bname-dvdnav
BuildRequires: libdvdnav-devel >= 0.1.9

%description -n %bname-libdvdnav
Plug-in for reading DVDs using libdvdnav  under GStreamer.

%files -n %bname-libdvdnav
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdvdnavsrc.so

%post -n %bname-libdvdnav
%gstregister > /dev/null


%postun -n %bname-libdvdnav
%gstregister > /dev/null


## DXR3 ###
%if %build_dxr3
%package -n %bname-dxr3
Summary:       GStreamer plug-in for playback using dxr3 card
Group:         Video
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libdxr3-devel => 0.12.0

%description -n %bname-dxr3
Plug-in supporting DVD playback using cards
with the dxr3 chipset like Hollywood Plus
and Creative Labs DVD cards.

%files -n %bname-dxr3
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdxr3.so

%post -n %bname-dxr3
%gstregister > /dev/null


%postun -n %bname-dxr3
%gstregister > /dev/null

%endif

### ESD ###
%package -n %bname-esound
Summary: Gstreamer plugin for ESD sound output
Group: Sound
Obsoletes:     %bname-esd
Provides:      %bname-esd
Requires: esound >= 0.2.8
BuildRequires: libesound-devel >= 0.2.8
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
Provides:	%bname-audiosrc
Provides:	%bname-audiosink

%description -n %bname-esound
Output plugin for GStreamer for use with the esound package

%files -n %bname-esound
%defattr(-, root, root)
%doc ext/esd/README
%{_libdir}/gstreamer-%{majorminor}/libgstesd.so

%post -n %bname-esound
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-esound
%gstregister > /dev/null 2> /dev/null

%package -n %bname-nas
Summary: Gstreamer output plugin for the NAS sound server
Group: Sound
BuildRequires: libnas-devel
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
Provides:	%bname-audiosink

%description -n %bname-nas
Output plugin for GStreamer for use with the nas sound server.

%files -n %bname-nas
%defattr(-, root, root)
%doc ext/esd/README
%{_libdir}/gstreamer-%{majorminor}/libgstnassink.so

%post -n %bname-nas
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-nas
%gstregister > /dev/null 2> /dev/null


### FLAC ###
%package -n %bname-flac
Summary:       GStreamer plug-in for FLAC lossless audio
Group:         Sound
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libflac-devel >= 1.0.4

%description -n %bname-flac
Plug-in for the free FLAC lossless audio format.

%files -n %bname-flac
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstflac.so

%post -n %bname-flac
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-flac
%gstregister > /dev/null 2> /dev/null


### GNOME VFS 2 ###
%package -n %bname-gnomevfs
Summary: GStreamer plug-ins for GNOME VFS input and output
Group: System/Libraries
Requires: gnome-vfs2 > 1.9.4.00
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: gnome-vfs2-devel > 1.9.4.00

%description -n %bname-gnomevfs
Plug-Ins for reading and writing through GNOME VFS.

%files -n %bname-gnomevfs
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstgnomevfs.so

%post -n %bname-gnomevfs
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-gnomevfs
%gstregister > /dev/null 2> /dev/null


### GSM ###
%package -n %bname-gsm
Summary: GStreamer plugin for GSM lossy audio format
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: gsm-devel >= 1.0.10

%description -n %bname-gsm
Output plugin for GStreamer to convert to GSM lossy audio format.

%files -n %bname-gsm
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstgsm.so

%post -n %bname-gsm
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-gsm
%gstregister > /dev/null 2> /dev/null



### HERMES ###
%package -n %bname-colorspace
Summary: Gstreamer colorspace conversion plugin
Group: Video
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: Hermes-devel => 1.3.0
%description -n %bname-colorspace
Colorspace plugin based on Hermes library

%files -n %bname-colorspace
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstcolorspace.so
%{_libdir}/gstreamer-%{majorminor}/libgsthermescolorspace.so

%post -n %bname-colorspace
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-colorspace
%gstregister > /dev/null 2> /dev/null


### HTTP ###
%if 0
%package -n %bname-httpsrc
Summary:       GStreamer plug-in for http using libghttp
Group:         System/Libraries
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libghttp-devel => 1.0.9

%description -n %bname-httpsrc
Plug-in supporting the http protocol based 
on the libghttp library.

%files -n %bname-httpsrc
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgsthttpsrc.so

%post -n %bname-httpsrc
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-httpsrc
%gstregister > /dev/null 2> /dev/null

%endif

%package -n %bname-mms
Summary:       GStreamer plug-in for mms streams
Group:         System/Libraries
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libmms-devel

%description -n %bname-mms
Plug-in supporting the mms protocol based on the libmms library.

%files -n %bname-mms
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstmms.so

%post -n %bname-mms
%gstregister > /dev/null 2> /dev/null

%postun -n %bname-mms
%gstregister > /dev/null 2> /dev/null

#### JACK AUDIO CONNECTION KIT ###
%package -n %bname-jack
Summary:  GStreamer plug-in for the Jack Sound Server
Group:    Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: libjack-devel => 0.28.0
Provides:	%bname-audiosrc
Provides:	%bname-audiosink

%description -n %bname-jack
Plug-in for the JACK professional sound server.

%files -n %bname-jack
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstjack.so

%post -n %bname-jack
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-jack
%gstregister > /dev/null 2> /dev/null

%package -n %bname-polyp
Summary:  GStreamer plug-in for the polypaudio sound server
Group:    Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: libpolypaudio-devel
Provides:	%bname-audiosrc
Provides:	%bname-audiosink

%description -n %bname-polyp
Plug-in for the polypaudio sound server.

%files -n %bname-polyp
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libpolypaudio.so

%post -n %bname-polyp
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-polyp
%gstregister > /dev/null 2> /dev/null

### JPEG ###
%package -n %bname-jpeg
Summary: Gstreamer plugin for jpeg images
Group: Video
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: libjpeg-devel

%description -n %bname-jpeg
Output plugin for GStreamer using libjpeg

%files -n %bname-jpeg
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstjpeg.so

%post -n %bname-jpeg
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-jpeg
%gstregister > /dev/null 2> /dev/null

%if 0
%package -n %bname-kio
Summary: GStreamer plug-in for KDE input and output
Group: System/Libraries
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: kdelibs-devel

%description -n %bname-kio
Plug-Ins for reading and writing through the KDE kio interface.

%files -n %bname-kio
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstkio.so

%post -n %bname-kio
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-kio
%gstregister > /dev/null 2> /dev/null
%endif

### LADSPA ###
%package -n %bname-ladspa
Summary: Gstreamer wrapper for LADSPA plug-ins
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
Requires:      ladspa
BuildRequires: ladspa-devel

%description -n %bname-ladspa
Plug-in which wraps LADSPA plug-ins for use by GStreamer applications.
We suggest you also get the cmt package of ladspa plug-ins
and steve harris's swh-plugins package.

%files -n %bname-ladspa
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstladspa.so

%post -n %bname-ladspa
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-ladspa
%gstregister > /dev/null 2> /dev/null


%if %build_lame
### LAME ###
%package -n %bname-lame
Summary: GStreamer plug-in encoding mp3 songs using lame
Group:  Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}
BuildRequires: liblame-devel >= 3.89

%description -n %bname-lame
Plug-in for encoding mp3 with lame under GStreamer.

This package is in PLF as it violates some patents.
%files -n %bname-lame
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstlame.so

%post -n %bname-lame
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-lame
%gstregister > /dev/null 2> /dev/null

%endif

%if %build_dts
%package -n %bname-dts
Summary:GStreamer plug-ins for DTS audio playback
Group:         Sound
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}-%release
BuildRequires: dtsdec-devel

%description -n %bname-dts
Plug-ins for decoding DTS audio.

%files -n %bname-dts
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdtsdec.so

%post -n  %bname-dts
%gstregister > /dev/null 2> /dev/null

%postun -n  %bname-dts
%gstregister > /dev/null 2> /dev/null
%endif


%if %build_dirac
%package -n %bname-dirac
Summary:GStreamer plug-ins for Dirac video playback and encoding
Group:         Video
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}-%release
BuildRequires: dirac-devel

%description -n %bname-dirac
Plug-ins for playing and encoding Dirac video.

%files -n %bname-dirac
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdirac.so

%post -n  %bname-dirac
%gstregister > /dev/null 2> /dev/null

%postun -n  %bname-dirac
%gstregister > /dev/null 2> /dev/null
%endif

### LIBDV ###
%package -n %bname-dv
Summary:       GStreamer DV plug-in
Group:         Video
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libdv-devel >= 0.98

%description -n %bname-dv
Plug-in for digital video support using libdv.

%files -n %bname-dv
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdvdec.so

%post -n %bname-dv
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-dv
%gstregister > /dev/null 2> /dev/null


%if %build_libfame
### LIBFAME ###
%package -n %bname-libfame
Summary:       GStreamer plug-in to encode MPEG1/MPEG4 video
Group:         Video
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}
BuildRequires: libfame-devel >= 0.9.0

%description -n %bname-libfame
Plug-in for encoding MPEG1/MPEG4 video using libfame.

This package is in PLF as it violates some patents.
%files -n %bname-libfame
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstlibfame.so

%post -n %bname-libfame
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-libfame
%gstregister > /dev/null 2> /dev/null

%endif

### MAD ###
%package -n %bname-mad  
Summary: Plugin using MAD for mp3 decoding
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
Requires: %bname-audio-formats =  %{version}-%release
BuildRequires: mad-devel >= 0.13.0
BuildRequires: libid3tag-devel >= 0.13.0

%description -n %bname-mad
Plugin for playback of mp3 songs using the very good MAD library.

%files -n %bname-mad
%defattr(-, root, root)  
%{_libdir}/gstreamer-%{majorminor}/libgstmad.so

%post -n %bname-mad
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-mad
%gstregister > /dev/null 2> /dev/null


### MIKMOD ###
%package -n %bname-mikmod
Summary: GStreamer Mikmod plug-in
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: libmikmod-devel

%description -n %bname-mikmod
Plugin for playback of module files supported by mikmod under GStreamer.

%files -n %bname-mikmod
%defattr(-, root, root)
%doc ext/mikmod/README
%{_libdir}/gstreamer-%{majorminor}/libgstmikmod.so

%post -n %bname-mikmod
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-mikmod
%gstregister > /dev/null 2> /dev/null

%package -n %bname-mng
Summary:GStreamer plug-ins for MNG video playback and encoding
Group:         Video
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libmng-devel

%description -n %bname-mng
Plug-ins for playing and encoding MNG video.

%files -n %bname-mng
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstmng.so

%post -n  %bname-mng
%gstregister > /dev/null 2> /dev/null

%postun -n  %bname-mng
%gstregister > /dev/null 2> /dev/null


%if %build_jpegmmx
### MJPEGTOOLS ###
%package -n %bname-jpegmmx
Summary:       GStreamer mjpegtools plug-in
Group:         Video
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libmjpegtools-devel > 1.6.1.92-1mdk

%description -n %bname-jpegmmx
mjpegtools-based encoding and decoding plug-in.

%files -n %bname-jpegmmx
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstmplex.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2enc.so

%post -n %bname-jpegmmx
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-jpegmmx
%gstregister > /dev/null 2> /dev/null
%endif

### MPEG2DEC ###
%package -n %bname-mpeg
Summary:GStreamer plug-ins for MPEG video playback and encoding
Group:         Video
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libmpeg2dec-devel => 0.3.1

%description -n %bname-mpeg
Plug-ins for playing and encoding MPEG video.

%files -n %bname-mpeg
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg1systemencode.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegaudioparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmp1videoparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegstream.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2dec.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2subt.so

%post -n  %bname-mpeg
%gstregister > /dev/null 2> /dev/null


%postun -n  %bname-mpeg
%gstregister > /dev/null 2> /dev/null

%package -n %bname-musicbrainz
Summary:GStreamer plug-in for metadata lookup
Group:         Sound
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libmusicbrainz-devel >= 2.1.1

%description -n %bname-musicbrainz
Plug-in metadata lookup using the MusicBrainz system, see
http://www.musicbrainz.org

%files -n %bname-musicbrainz
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgsttrm.so

%post -n  %bname-musicbrainz
%gstregister > /dev/null 2> /dev/null


%postun -n  %bname-musicbrainz
%gstregister > /dev/null 2> /dev/null

%if %build_plf
%if 0
### OPENQUICKTIME ###
%package -n %bname-openquicktime
Summary: GStreamer OpenQuicktime video Plug-in
Group: Video
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}
BuildRequires: openquicktime-devel => 0.9

%description -n %bname-openquicktime
Plug-in which uses the OpenQuicktime library
from 3ivx to play Quicktime movies.
(http://openquicktime.sourceforge.net/)

%files -n %bname-openquicktime
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstopenquicktimedemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstopenquicktimetypes.so
%{_libdir}/gstreamer-%{majorminor}/libgstopenquicktimedecoder.so

%post -n  %bname-openquicktime
%gstregister > /dev/null 2> /dev/null


%postun -n  %bname-openquicktime
%gstregister > /dev/null 2> /dev/null

%endif
%endif

### RAW1394 ###
%package -n %bname-raw1394
Summary:       GStreamer raw1394 Firewire plug-in
Group:         System/Libraries
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libraw1394-devel

%description -n %bname-raw1394
Plug-in for digital video support using raw1394.

%files -n %bname-raw1394
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgst1394.so

%post -n %bname-raw1394
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-raw1394
%gstregister > /dev/null 2> /dev/null


%if %build_faad
%package -n %bname-faad
Summary:GStreamer plug-ins for AAC audio playback
Group:         Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-quicktime >= %version
BuildRequires: libfaad2-devel => 2.0
 
%description -n %bname-faad
Plug-ins for playing AAC audio
 
This package is in PLF as it violates some patents.
%files -n %bname-faad
%defattr(-, root, root)
%_libdir/gstreamer-%{majorminor}/libgstfaad.so

%post -n  %bname-faad
%gstregister > /dev/null 2> /dev/null

 
%postun -n  %bname-faad
%gstregister > /dev/null 2> /dev/null
%endif

%if %build_faac
%package -n %bname-faac
Summary:GStreamer plug-ins for AAC audio encoding
Group:         Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-quicktime >= %version
BuildRequires: libfaac-devel
 
%description -n %bname-faac
Plug-ins for encoding AAC audio
 
This package is in PLF as it violates some patents.
%files -n %bname-faac
%defattr(-, root, root)
%_libdir/gstreamer-%{majorminor}/libgstfaac.so

%post -n  %bname-faac
%gstregister > /dev/null 2> /dev/null

 
%postun -n  %bname-faac
%gstregister > /dev/null 2> /dev/null
%endif

%if %build_musepack
%package -n %bname-musepack
Summary:GStreamer plug-in Musepack playback
Group:         Sound
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}
BuildRequires: libmusepack-devel >= 1.1
 
%description -n %bname-musepack
This plugin for GStreamer can play audio files which are encoded with
Andree Buschmann's encoder Musepack. These files have the filename
postfixes mpc, mp+ or mpp.
 
This package is in PLF as it violates some patents.

%files -n %bname-musepack
%defattr(-, root, root)
%_libdir/gstreamer-%{majorminor}/libgstmusepack.so

%post -n  %bname-musepack
%gstregister > /dev/null 2> /dev/null

 
%postun -n  %bname-musepack
%gstregister > /dev/null 2> /dev/null
%endif

%if %build_xvid
%package -n %bname-xvid
Summary:GStreamer plug-ins for XVID video encoding and decoding
Group:         Video
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}
BuildRequires: xvid-devel => 1.0
 
%description -n %bname-xvid
Plug-ins for encoding and decoding XVID video.
 
This package is in PLF as it violates some patents.
%files -n %bname-xvid
%defattr(-, root, root)
%_libdir/gstreamer-%{majorminor}/libgstxvid.so

%post -n  %bname-xvid
%gstregister > /dev/null 2> /dev/null

 
%postun -n  %bname-xvid
%gstregister > /dev/null 2> /dev/null
%endif

### SIDPLAY ###
%package -n %bname-sid
Summary: GStreamer Sid C64 music plugin
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: sidplay-devel => 1.36.0
%description -n %bname-sid
Plugin for playback of C64 SID format music files

%files -n %bname-sid
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstsid.so

%post -n %bname-sid
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-sid
%gstregister > /dev/null 2> /dev/null


### SDL ###
%package -n %bname-SDL
Summary: Gstreamer plugin for outputing video to SDL
Group: Video
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: SDL-devel >= 1.2.0
Provides: %bname-sdl
Obsoletes: %bname-sdl

%description -n %bname-SDL
Plug-in for sending video output to the Simple Direct Media architecture.
(http://www.libsdl.org). Useful for full-screen playback.

%files -n %bname-SDL
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstsdlvideosink.so

%post -n %bname-SDL
%gstregister > /dev/null 2> /dev/null

%postun -n %bname-SDL
%gstregister > /dev/null 2> /dev/null

%package -n %bname-directfb
Summary: Gstreamer plugin for outputing video to directfb
Group: Video
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: libdirectfb-devel

%description -n %bname-directfb
Plug-in for sending video output to DirectFB.

%files -n %bname-directfb
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdirectfbvideosink.so

%post -n %bname-directfb
%gstregister > /dev/null 2> /dev/null

%postun -n %bname-directfb
%gstregister > /dev/null 2> /dev/null

### SHOUT ###
%package -n %bname-icecast
Summary: GStreamer Icecast plug-in using libshout
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}
BuildRequires: libshout-devel >= 1.0.5
%description -n %bname-icecast
Plug-in for broadcasting audio to the Icecast server.

%files -n %bname-icecast
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstshout2.so

%post -n %bname-icecast
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-icecast
%gstregister > /dev/null 2> /dev/null

### VORBIS ###
%package -n %bname-vorbis
Summary: Gstreamer plugin for encoding and decoding Ogg Vorbis audio files
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: libvorbis-devel >= 1.0-4mdk
BuildRequires: libtheora-devel

%description -n %bname-vorbis
Plug-Ins for creating and playing Ogg Vorbis audio files and Ogg Theora video
files.

%files -n %bname-vorbis  
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgsttheora.so
%{_libdir}/gstreamer-%{majorminor}/libgstogg.so
%{_libdir}/gstreamer-%{majorminor}/libgstvorbis.so

%post -n %bname-vorbis
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-vorbis
%gstregister > /dev/null 2> /dev/null

%if %build_speex
%package -n %bname-speex
Summary: Gstreamer plugin for encoding and decoding Ogg Speex audio files
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
BuildRequires: libspeex-devel 

%description -n %bname-speex
Plug-Ins for creating and playing Ogg Speex audio files.

%files -n %bname-speex  
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstspeex.so

%post -n %bname-speex
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-speex
%gstregister > /dev/null 2> /dev/null
%endif

%if %build_v4l2
### VIDEO 4 LINUX 2 ###
%package -n %bname-v4l2
Summary:       GStreamer Video for Linux 2 plug-in
Group:         Video
PreReq: gstreamer08-tools >= %{version}
Requires:      %bname-plugins = %{version}

%description -n %bname-v4l2
Plug-in for accessing Video for Linux devices.

%files -n %bname-v4l2
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux2.so

%post -n %bname-v4l2
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-v4l2
%gstregister > /dev/null 2> /dev/null
%endif

### packages without external dependencies ###
### audio-formats ###
%package -n %bname-audio-formats
Summary: GStreamer audio format plugin
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release

%description -n %bname-audio-formats
Plug-in for playback of wav, au and mod audio files as well as mp3 type.

%files -n %bname-audio-formats
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstwavparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstauparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmodplug.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavenc.so

%post -n %bname-audio-formats
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-audio-formats
%gstregister > /dev/null 2> /dev/null


### FESTIVAL ###
%package -n %bname-festival
Summary: GStreamer plug-in for text-to-speech support using a festival server
Group: Sound
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release
Requires: festival >= 1.4.1

%description -n %bname-festival
Plug-in for text-to-speech using the festival server.

%files -n %bname-festival
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstfestival.so

%post -n %bname-festival
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-festival
%gstregister > /dev/null 2> /dev/null


%if %build_qcam
### qcam ###
%package -n %bname-qcam
Summary: GStreamer QuickCam plugin
Group: Video
PreReq: gstreamer08-tools >= %{version}
Requires: %bname-plugins = %{version}-%release

%description -n %bname-qcam
Plug-in for accessing a Quickcam video source.

%files -n %bname-qcam
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstqcam.so

%post -n %bname-qcam
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-qcam
%gstregister > /dev/null 2> /dev/null

%endif

%package -n %bname-visualisation
Summary: GStreamer visualisations plug-ins
Group: Video
PreReq: gstreamer08-tools >= %{version}
Requires: %name = %{version}-%release

%description -n %bname-visualisation
Various plug-ins for visual effects to use with audio.
This includes smoothwave, spectrum, goom, chart, monoscope, synaesthesia
and vumeter.

%files -n %bname-visualisation
%defattr(-, root, root)
%doc ext/smoothwave/README
%{_libdir}/gstreamer-%{majorminor}/libgstsmooth.so
%{_libdir}/gstreamer-%{majorminor}/libgstspectrum.so
#%{_libdir}/gstreamer-%{majorminor}/libgstvumeter.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom.so
%{_libdir}/gstreamer-%{majorminor}/libgstchart.so
%{_libdir}/gstreamer-%{majorminor}/libgstmonoscope.so
%{_libdir}/gstreamer-%{majorminor}/libgstsynaesthesia.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmoothwave.so

%post -n %bname-visualisation
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-visualisation
%gstregister > /dev/null 2> /dev/null

%package -n %bname-libvisual
Summary: GStreamer visualisations plug-in based on libvisual
Group: Video
PreReq: gstreamer08-tools >= %{version}
Requires: %name = %{version}-%release
BuildRequires: libvisual-devel >= 0.1.7
Requires: libvisual >= 0.1.7

%description -n %bname-libvisual
This plugin makes visualisations based on libvisual available for
GStreamer applications.

%files -n %bname-libvisual
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstlibvisual.so

%post -n %bname-libvisual
%gstregister > /dev/null 2> /dev/null

%postun -n %bname-libvisual
%gstregister > /dev/null 2> /dev/null

# Dependency free Quicktime demuxer
%package -n %bname-quicktime
Summary:       GStreamer Quicktime demuxer video Plug-in
Group:         Video
PreReq: gstreamer08-tools >= %{version}
Requires:      %name = %{version}-%release

%description -n %bname-quicktime
Plug-in for demuxing Quicktime movies

%files -n %bname-quicktime
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstqtdemux.so

%post -n %bname-quicktime
%gstregister > /dev/null 2> /dev/null


%postun -n %bname-quicktime
%gstregister > /dev/null 2> /dev/null


%package -n %bname-asf
Summary:        GStreamer plug-in for asf video format
Group:          Video
PreReq: gstreamer08-tools >= %{version}
Requires:       %name = %{version}-%release
%description -n %bname-asf
Plug-in for playing ASF movies under GStreamer.
                                                                               
%files -n %bname-asf
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstasf*
                                                                                
%post -n %bname-asf
%gstregister > /dev/null 2> /dev/null
                                                                                
%postun -n %bname-asf
%gstregister > /dev/null 2> /dev/null

%package -n %bname-opengl
Summary:        GStreamer plug-in for OpenGL output
Group:          Video
PreReq: gstreamer08-tools >= %{version}
Requires:       %name = %{version}-%release
%description -n %bname-opengl
Plug-in for output on OpenGL display.
                                                                               
%files -n %bname-opengl
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstglimagesink*
                                                                                
%post -n %bname-opengl
%gstregister > /dev/null 2> /dev/null
                                                                                
%postun -n %bname-opengl
%gstregister > /dev/null 2> /dev/null

# package supporting GConf
%package -n %bname-GConf
Summary: 	GStreamer GConf schemas
Group: 		System/Libraries
PreReq: gstreamer08-tools >= %{version}
Requires: 	%name = %{version}-%release
PreReq:	%libgstgconf = %version-%release
Requires: 	GConf2
BuildRequires: 	libGConf2-devel
Provides:	%bname-play	
Obsoletes:	%bname-play	

%description -n %bname-GConf
Installation of GStreamer GConf schemas.
These set usable defaults used by all GStreamer-enabled Gnome applications.

%files -n %bname-GConf
%defattr(-, root, root)
%{_sysconfdir}/gconf/schemas/gstreamer-%majorminor.schemas
%{_libdir}/gstreamer-%{majorminor}/libgstautodetect.so
%{_libdir}/gstreamer-%{majorminor}/libgstgconfelements.so

%post -n %bname-GConf
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gstreamer-%majorminor.schemas > /dev/null

%preun -n %bname-GConf
if [ "$1" = "0" ]; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gstreamer-%majorminor.schemas > /dev/null

fi

%package -n %libgstgconf
Group: 		System/Libraries
Summary: 	GStreamer GConf shared library 

%description -n %libgstgconf
This is a shared library for the GNOME GConf configuration system.

%files -n %libgstgconf
%defattr(-, root, root)
%{_libdir}/libgstgconf-%{majorminor}.so.*

%post -n %libgstgconf -p /sbin/ldconfig
%postun -n %libgstgconf -p /sbin/ldconfig


%changelog
* Tue Aug 23 2005 Isenmann Daniel <rpm@mandrivauser.de> 0.8.8-1mud
- rebuild for Mandriva 10.1

* Tue Mar  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-1mdk
- new plugins: autodetect, dvdlpcmdec, gconfelements, puzzle, rfb, subparse, 
               mms
- reenable dirac
- drop patch 0
- new version

* Fri Feb 11 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.7-3mdk
- new libvisual

* Mon Jan 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.7-2mdk
- fix deps

* Wed Jan  5 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.7-1mdk
- new version

* Tue Jan  4 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6.2-1mdk
- add new plugins: directfb,polypaudio, ape, cairo, tta
- disable dirac
- new version

* Fri Nov 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6-1mdk
- new version

* Wed Nov 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5.4-1mdk
- drop patch 0
- new prerelease

* Tue Nov 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5.3-1mdk
- add cdaudio, equalizer, libvisual plugins
- bump swfdec and liboil deps
- fix mjpegtools build
- new prerelease

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5-1mdk
- diable dts
- add dirac and mng plugins
- remove kio plugin
- disable patch 1
- drop patch 0
- enable libtoolize
- new version

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8.4-2mdk
- lib64 fixes, libtool workarounds, moc path fixes

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-1mdk
- Release 0.8.4
- Remove patche 0 (merged upstream)
- v4l2 is back
- say hello to glimagesink

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.3-3mdk
- Add missing registration call in main package script
- Uninstall gconf schema when uninstalling gconf subpackage

* Mon Aug  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-2mdk
- patch 0: fix interleave plugin

* Mon Aug  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- add new plugins
- New release 0.8.3

* Mon Aug  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-5mdk
- rebuild for new flac

* Fri Jul 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-4mdk
- fix for new speex

* Fri Jul 23 2004 Marcel Pol <mpol@mandrake.org> 0.8.2-3mdk
- build against new slang

* Sat Jul 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- drop patch 0, that workaround doesn't help anymore
- disable mjpegtools plugin
- rebuild for new alsa

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- add missing files
- reenable icecast plugin
- drop patches 1,2
- New release 0.8.2

* Mon Jun 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-7mdk
- rebuild with mjpegtools

* Mon Jun 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-6mdk
- disable mjpegtools plugin
- rebuild for new g++

* Wed Jun  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-5mdk
- rebuild for new alsa
- fix URL

* Thu May 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-4mdk
- reenable libtoolize
- fix deps

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-3mdk
- enable speex

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-2mdk
- spec file cosmetics
- enable musicbrainz plugin

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- add musicbrainz plugin
- add debug plugin
- add kio plugin
- new version

* Mon Apr 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-3mdk
- add prerequires gstreamer-tools to the plugin packages

* Tue Apr  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-2mdk
- fix theora build

* Tue Apr  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- add new pkgconfig files
- add ffmpegcolorspace plugin
- use gst-register-0.8
- disable speex plugin (needs speex 1.0.x instead of 1.1.x)
- glib 2.2 required
- rename from gstreamer0.7-plugins
- remove obsolete plugins
- add media-info
- new major
- remove ffmpeg and mas plugins
- rename the schema file
- requires new glib
- new version
- 0.7 changelog entries:
  * add missing plugin
  * fix buildrequires
  * fix directory ownership
  * add translations and new headers
  * add nas plugin
  * add caca plugin
  * disable v4l2 plugin
  * reenable dxr3 and jpegmmx
  * drop merged patch 0
  * new version
  * add some more build conditionals
  * patch for mpeg2dec 0.4.0
  * update major
  * update file list
  * disable mjpegtools mpeg2enc build
  * readd mjpegtools package
  * new version
  * fix sidplay buildrequires
  * fix post scripts
  * new split packages: x11, gdkpixbuf
  * obsolete yuv4mpeg, cdplayer, videotest, snapshot, png, oss
  * obsolete vcd, udp, xvideosink, flx, audio-effects, rtp, video-effects
  * disable dxr3
  * add new plugins: mas, speex, asf
  * add new plf plugins: faad faac
  * fix buildrequires
  * don't libtoolize
  * new version

* Tue Feb 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.4-4mdk
- Fix DIRM

* Thu Feb 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-3mdk
- obsolete v4l2 and alsa in the main package
- disable v4l2

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-1mdk
- fix build with new arts packaeg
- fix buildrequires
- new version

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-3mdk
- fix buildrequires

* Sat Aug 30 2003 David Baudens <baudens@mandrakesoft.com> 0.6.3-2mdk
- Rebuild to fix unsatisfied libgstgconf0.6[== 0.6.3-1mdk]

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-1mdk
- the festival package requires festival
- only enable qcam on x86
- new version

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-4mdk
- fix dvdread and dvdnav build requirements

* Fri Jul 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-3mdk
- rebuild for new rpm

* Fri Jun 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-2mdk
- fix buildrequires

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-1mdk
- fix requirement for gstreamer
- fix --with switch
- new version

* Wed May 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-3mdk
- new dvdnav

* Tue Apr 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-2mdk
- fix buildrequires

* Mon Apr 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- adapt dxr3 buildrequirement 
- fix file list
- drop merged patches 0 and 6
- new version

* Wed Apr 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-5mdk
- plf: disable the shoutcast plugin

* Tue Apr 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-4mdk
- patch 0 from CVS to update dvdnav plugin to the new api
- requires latest audiofile package version
- reenable audiofile package

* Mon Feb 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-3mdk
- disable audiofile plugin and patch0

* Thu Feb 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-2mdk
- enable festival plugin, but comment out the requirement for festival

* Sun Feb  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-1mdk
- add changes from official spec file:
  - add virtual provides gstreamer-gconf-devel to the plugins-devel package
  - adapt file list
  - fix buildrequires of xvideo package 
- new version

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-2mdk
- reenable swfdec plugin

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-1mdk
- disable swfdec plugin
- mklibname macros
- add aviparse plugin
- new major 
- new version

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-3mdk
- clean out all plf packages in mdk build to please Charles A Edwards
- drop patch 7, not needed

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Recompiled against latest openssl

* Tue Jan  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- add virtual provides for audio sources and sinks
- add new plugins: vbidec to video-effects, oneton to audio-effects
- fix build for broken ffmpeg (patch6)
- enable ffmpeg plugin
- drop workaround for broken rpm macro
- drop patch 5
- new version

* Fri Dec 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-5mdk
- work around the v4l problem with patch 6
- rebuild for new glibc

* Wed Dec 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-4mdk
- force compilation of the v4l plugin
- enable v4l2 plugin
- only buildrequire nasm on x86 architectures

* Mon Dec 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-3mdk
- disable ffmpeg plugin for now
- patch5 for new mpeg2dec

* Thu Dec 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- libtoolize to fix modplug

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- merge with offical spec file:
  - disable gst-compprep calls in the post* scripts
  - add libpng package
  - change location of the plugins to %_libdir/%name-%{majorminor}
- drop buildrequires for automake1.6
- drop patches 1,2,3,5 (upstream)
- new version

* Tue Dec  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-7mdk
- fix linking of mpeg2dec plugin

* Tue Dec  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-6mdk
- patch from CVS to let mpeg2dec plugin build with the new version
- let gstreamer-GConf obsolete the gstreamer-play package

* Tue Nov 26 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.4.2-5mdk
- patch for PPC build (patch4)

* Wed Nov 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-4mdk
- clean uninstalled files
- add missing plugins: dxr3, httpsrc

* Fri Nov  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-3mdk
- patch3: fix gst-launch ext (thanks Tim Lee)

* Wed Nov  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-2mdk
- patch1: fix swfdec detection
- enable swfdec plugin

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- split out libgstplay and libgstgconf to library packages
- patch 0: fix audiofile detection
- disable v4l2
- disable parallel build 
- big sync with offical package
  * add new headers to devel package
  * adapt post/postun scripts
  * add new packages: cdplayer, videotest, snapshot, quicktime, play
  * add windec package (plf)
  * rename dvdnav package to libdvdnav
- buildrequires libflac4-devel for flac package
- drop patches 0,1,3,4  
- new version

* Thu Oct 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-14mdk
- buildrequire libflac3-devel for flac package 
- enable mjpegtools subpackage

* Wed Sep 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-13mdk
- enable jack package
- fix a typo in festival package

* Wed Sep 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-12mdk
- Register plugins using post/postun scripts for all subpackages
- Mad plugin requires audio-format plugins (otherwise gst-player and monkey-media can't play mp3)

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-11mdk
- gcc 3.2 rebuild

* Tue Aug  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-10mdk
- patch vorbis autoconf check for version 1.0
- remove manual build/installation of vorbis plugin

* Mon Aug  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-9mdk
- rebuild against new libdvdnav

* Wed Jul 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-8mdk
- libdv2
- fix dv plugin
- fix libraw1394 plugin

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-7mdk
- merge with plf package, enable with --with plf

* Mon Jul 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-6mdk
- manually build vorbis plugin

* Thu Jul 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-5mdk
- enable flac plugin
- patch to update the flac plugin 

* Thu Jul 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-4mdk
- rebuild with mpeg2dec 0.2.1
- drop mpeg2dec patch

* Tue Jul  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-3mdk
- build mpeg2 plugin
- patch mpeg2dec detection to work with our version

* Sun Jul  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-2mdk
- libtoolize to fix C++ linking
- minor spec fixes
- rename sdl package to SDL to match official package

* Sat Jul  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- disable flac, doesn't build with 1.0.3
- add xvideosink package
- add http package
- enable avifile, libdv, dvdnav, dxr3
- merge with official spec
- 0.4.0

* Wed Jul  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-5mdk
- add some individual READMEs to the doc section
- fix buildrequires
- speed up build

* Wed Jul  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-4mdk
- add some more files
- more buildrequires

* Tue Jul  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-3mdk
- patch away -Werror to make everything build
- enable aa, arts, dvdread, mikmod, sid plugins
- spec fixes

* Mon Jul 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-2mdk
- remove lame & shout plugins

*Tue Jun 25 2002 Charles A Edwards <eslrahc@bellsouth.net> 0.3.4-1mdk
- initial Mandrake build
- modified other spec
